Bug 1405398 - Enable GRE over IPv6 (CONFIG_IPV6_GRE)
Summary: Enable GRE over IPv6 (CONFIG_IPV6_GRE)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-16 12:01 UTC by Jakub Sitnicki
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version: kernel-4.9.6-200.fc25 kernel-4.9.6-100.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 20:21:13 UTC


Attachments (Terms of Use)

Description Jakub Sitnicki 2016-12-16 12:01:57 UTC
Description of problem:

GRE over IPv6 is not enabled in the kernel:

  $ grep -H CONFIG_IPV6_GRE /boot/config-`uname -r`
  /boot/config-4.8.13-300.fc25.x86_64:# CONFIG_IPV6_GRE is not set

Hence this kind of tunnel cannot be used.

Version-Release number of selected component (if applicable):

kernel-4.8.13-300.fc25.x86_64

How reproducible:

Always

Steps to Reproduce:

Attempt to create a GRE over IPv6 tunnel using iproute2:

  # ip -6 tu add tun0 mode ip6gre local fd00::1 remote fd00::2

Actual results:

tun0 device doesn't get created. 'ip' command exits with an error status (1) and complains about missing fallback device ip6gre0:

  add tunnel "ip6gre0" failed: No such device

Expected results:

'ip' command succeeds, exit status 0. tun0 device gets created:

  # ip link show tun0
  6: tun0@NONE: <POINTOPOINT,NOARP> mtu 1448 qdisc noop state DOWN mode DEFAULT qlen 1
      link/[823] fd:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01 peer fd:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01

Additional info:

This config option is enabled in RHEL7. We would like to test the same functionality on Fedora kernels.

Comment 1 Justin M. Forbes 2017-01-17 22:10:44 UTC
This has been enabled in 4.10-rc4-git one for rawhide.

Comment 2 Fedora Update System 2017-01-26 17:30:04 UTC
kernel-4.9.6-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-81fbd592d4

Comment 3 Fedora Update System 2017-01-26 17:32:58 UTC
kernel-4.9.6-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6cc158c193

Comment 4 Fedora Update System 2017-01-27 19:54:53 UTC
kernel-4.9.6-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6cc158c193

Comment 5 Fedora Update System 2017-01-28 04:54:51 UTC
kernel-4.9.6-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-81fbd592d4

Comment 6 Fedora Update System 2017-01-30 20:21:13 UTC
kernel-4.9.6-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-01-30 21:50:33 UTC
kernel-4.9.6-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-30 22:17:48 UTC
kernel-4.9.6-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.